Bug 806163 - [abrt] preupgrade-1.1.9-1.fc13: dev.py:91:bootpath_to_anacondapath:PUError: /boot is on RAID device dm-1
[abrt] preupgrade-1.1.9-1.fc13: dev.py:91:bootpath_to_anacondapath:PUError: /...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
13
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
abrt_hash:6d3e964c
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 00:43 EDT by Shunji Takeuchi
Modified: 2016-02-10 09:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-26 04:29:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (1.16 KB, text/plain)
2012-03-23 00:43 EDT, Shunji Takeuchi
no flags Details

  None (edit)
Description Shunji Takeuchi 2012-03-23 00:43:26 EDT
abrt version: 1.1.14
architecture: i686
cmdline: /usr/bin/python /usr/share/preupgrade/preupgrade-gtk.py
component: preupgrade
executable: /usr/share/preupgrade/preupgrade-gtk.py
kernel: 2.6.34.9-69.fc13.i686.PAE
package: preupgrade-1.1.9-1.fc13
reason: dev.py:91:bootpath_to_anacondapath:PUError: /boot is on RAID device dm-1
release: Fedora release 13 (Goddard)
time: 1332477141
uid: 0

backtrace
-----
dev.py:91:bootpath_to_anacondapath:PUError: /boot is on RAID device dm-1

Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 259, in on_assistant_apply
    self._do_main()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 278, in _do_main
    self.main_preupgrade()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 497, in main_preupgrade
    extra_args += " ks=%s" % self.pu.generate_kickstart()
  File "/usr/lib/python2.6/site-packages/preupgrade/__init__.py", line 601, in generate_kickstart
    return dev.bootpath_to_anacondapath(targetfile, UUID=True)
  File "/usr/lib/python2.6/site-packages/preupgrade/dev.py", line 91, in bootpath_to_anacondapath
    raise PUError, "/boot is on RAID device %s" % bootdev
PUError: /boot is on RAID device dm-1

Local variables in innermost frame:
bootdev: 'dm-1'
UUID: True
rest: 'ext4 rw 0 0\n'
mtab: <open file '/etc/mtab', mode 'r' at 0x9f01d90>
st_dev: 64769L
dev: '/dev/mapper/ddf1_4c53492020202020808627c3000000004711471100001450p1'
mountpoint: '/boot'
line: '/dev/mapper/ddf1_4c53492020202020808627c3000000004711471100001450p1 /boot ext4 rw 0 0\n'
somepath: '/boot/upgrade/ks.cfg'
mp: '/boot'

How to reproduce
-----
1.Run preupgrage in the terminal ( # preupgrage )
2.Select Fedrora14 and go on
3.Allmost end of upgrage preparation shown in window , SELinux said crash of preupgrade
Comment 1 Shunji Takeuchi 2012-03-23 00:43:28 EDT
Created attachment 572145 [details]
File: backtrace
Comment 2 Laurent Wandrebeck 2012-08-23 03:21:12 EDT
treeinfo rapporté depuis http://ftp.free.fr/mirrors/fedora.redhat.com/fedora/linux/development/18/i386/os//.treeinfo
horodatage de treeinfo : Wed Aug 22 14:07:41 2012
Somme de contrôle de /boot/upgrade/vmlinuz validé
Traceback (most recent call last):
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 259, in on_assistant_apply
    self._do_main()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 278, in _do_main
    self.main_preupgrade()
  File "/usr/share/preupgrade/preupgrade-gtk.py", line 497, in main_preupgrade
    extra_args += " ks=%s" % self.pu.generate_kickstart()
  File "/usr/lib/python2.7/site-packages/preupgrade/__init__.py", line 607, in generate_kickstart
    return dev.bootpath_to_anacondapath(targetfile, UUID=True)
  File "/usr/lib/python2.7/site-packages/preupgrade/dev.py", line 91, in bootpath_to_anacondapath
    raise PUError, "/boot is on RAID device %s" % bootdev
preupgrade.error.PUError: /boot is on RAID device dm-1

get that one on fully up to date F17, trying to update to F18 spherical cow, running on a netbook with a single drive…
/dev/mapper/vg_netbook-lv_root on / type ext4 (rw,relatime,seclabel,data=ordered)
/boot in not on a separate partition.
Comment 3 Jan Kurik 2015-12-22 06:33:28 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Note You need to log in before you can comment on or make changes to this bug.